[users] freetds and perl-DBD-Sybase conflict

David Hess dahmage at gmail.com
Wed Jul 24 18:41:33 CEST 2013


The perl-DBD-Sybase-1.10-1.el5.rf.i386 package relies on the version of
freetds that is in the base centos repository, which conflicts with the
version of freetds that is in the rpmforge repository

the workaround is to do this:
yum --disablerepo=rpmforge install freetds
yum install perl-DBD-Sybase

Regards,
Dave



On Wed, Jul 17, 2013 at 2:40 PM, DAH <dahmage at gmail.com> wrote:

> I am running CentOS 5 with rpmforge, and have run into the following odd
> situation.
>
> i am using both freetds and perl-DBD-Sybase, but now the freetds package
> in rpmforge is conflicting with the perl-DBD-Sybase package in rpmforge.
>
> I know i can just block the freetds package from rpmforge, but shouldn't i
> be able to install both?  Am i just doing something wrong or is there
> really an issue with these packages?
>
>
> here is the output from yum update:
>
> Resolving Dependencies
> --> Running transaction check
> --> Processing Dependency: libtds.so.5 for package: perl-DBD-Sybase
> ---> Package freetds.i386 0:0.91-1.el5.rf set to be updated
> --> Finished Dependency Resolution
> perl-DBD-Sybase-1.10-1.el5.rf.i386 from installed has depsolving problems
>   --> Missing Dependency: libtds.so.5 is needed by package
> perl-DBD-Sybase-1.10-1.el5.rf.i386 (installed)
> Error: Missing Dependency: libtds.so.5 is needed by package
> perl-DBD-Sybase-1.10-1.el5.rf.i386 (installed)
>
>
> Regards,
> Dave
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.repoforge.org/pipermail/users/attachments/20130724/01e0c79c/attachment.html>


More information about the users mailing list